# NX 2506
# Journal created by Antoine on Tue Dec  2 21:35:51 2025 Eastern Standard Time
#
import math
import NXOpen
import NXOpen.CAE
def main(args) : 

    theSession  = NXOpen.Session.GetSession() #type: NXOpen.Session
    workSimPart = theSession.Parts.BaseWork
    displaySimPart = theSession.Parts.BaseDisplay
    # ----------------------------------------------
    #   Menu: File->Save All
    # ----------------------------------------------
    anyPartsModified1, partSaveStatus1 = theSession.Parts.SaveAll()
    
    partSaveStatus1.Dispose()
    # ----------------------------------------------
    #   Menu: Tools->Automation->Journal->Stop Recording
    # ----------------------------------------------
    
if __name__ == '__main__':
    main(sys.argv[1:])